﻿var startManagingButton = function (inIdPrefix) {
    $(buildId(inIdPrefix, "_FirstName")).bind("propertychange keyup input paste", inIdPrefix, setButtonState);
    $(buildId(inIdPrefix, "_LastName")).bind("propertychange keyup input paste", inIdPrefix, setButtonState);
    $(buildId(inIdPrefix, "_BirthDate")).change(inIdPrefix, setButtonState);
    setButtonState(inIdPrefix);
}

var setButtonState = function (inIdPrefix) {
    if (inIdPrefix.data)
        inIdPrefix = inIdPrefix.data;
    
    if ($(buildId(inIdPrefix, "_FirstName")).val() == "" || $(buildId(inIdPrefix, "_LastName")).val() == "" || $(buildId(inIdPrefix, "_BirthDate")).val() == "")
        $(buildId(inIdPrefix, "_SubmitPerson")).attr("disabled", "disabled");
    else
        $(buildId(inIdPrefix, "_SubmitPerson")).removeAttr("disabled");
};

var buildId = function (inIdPrefix, idSuffix) {
    return "#" + inIdPrefix + idSuffix;
};